use argh::FromArgs;
use tokio::task;
use qbittorrent_web_api::Api;

use crate::Error;
use crate::action::ActionExec;
use crate::config::Config;

#[derive(FromArgs, PartialEq, Debug)]
#[argh(subcommand, name = "add")]
/// add a torrent to qBittorrent (only magnet for the moment)
pub struct AddAction {
    #[argh(positional)]
    /// the magnet link to add
    magnet: String,
}

impl ActionExec for AddAction {
    fn exec(&self, _config: &Config) -> Result<(), Error> {
        unimplemented!();
    }
}
