use argh::FromArgs;

use crate::action::Action;

#[derive(FromArgs, Debug)]
/// interact with your qBittorrent instance from the command line
pub struct Cli {
    #[argh(subcommand)]
    pub command: Action,
}

impl Cli {
    pub fn from_args() -> Cli {
        argh::from_env()
    }
}
